// creator  : weidu.exe (version 23100)
// argument : ACOLYTE2.DLG
// game		 : .
// source	 : ./override/ACOLYTE2.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~ACOLYTE2~ 2 // non-zero flags may indicate non-pausing dialogue

IF ~True()
~ THEN BEGIN 0 // from:
  SAY #27560 /* ~Greetings, supplicant!  Have you come to the district to enter our church and revel in the presence of the most holy Lathander?~ */
  IF ~OR(2)
Alignment(LastTalkedToBy,MASK_GOOD)
Alignment(LastTalkedToBy,MASK_GENEUTRAL)
~ THEN REPLY #27563 /* ~I would be interested in knowing more about this Lathander.~ */ GOTO 2
  IF ~Alignment(LastTalkedToBy,MASK_EVIL)
~ THEN REPLY #27564 /* ~I have heard that Lathander is a young and vain god... why would you grant him obeisance?~ */ GOTO 1
  IF ~Global("BeholderPlot","GLOBAL",1)
~ THEN REPLY #27822 /* ~What can you tell me about these missing clerics?~ */ GOTO 8
  IF ~~ THEN REPLY #27565 /* ~No, I am not interested in worshipping anyone.~ */ GOTO 3
  IF ~~ THEN REPLY #27566 /* ~Excuse me, I'll be on my way.~ */ GOTO 4
END

IF ~~ THEN BEGIN 1 // from: 0.1
  SAY #27567 /* ~Lathander may be prone to the vagaries of youth but he has other gifts.  To serve the Morninglord is to strive for vitality and joy... what is wrong with that?~ */
  IF ~!IsValidForPartyDialog("Anomen")
!IsValidForPartyDialog("Edwin")~ THEN GOTO 2
  IF ~IsValidForPartyDialog("Anomen")~ THEN EXTERN ~ANOMENJ~ 228
  IF ~!IsValidForPartyDialog("Anomen")
IsValidForPartyDialog("Edwin")~ THEN EXTERN ~EDWINJ~ 82
END

IF ~~ THEN BEGIN 2 // from: 1.0 0.0
  SAY #27568 /* ~Our Morninglord charges us to foster hope and creativity.  Pride is eschewed and the cycle of rebirth and renewal is our most sacred tenet.~ */
  IF ~Alignment(LastTalkedToBy,MASK_EVIL)
~ THEN REPLY #27570 /* ~Sounds like a load of crock to me.~ */ GOTO 5
  IF ~OR(2)
Alignment(LastTalkedToBy,MASK_GOOD)
Alignment(LastTalkedToBy,MASK_GENEUTRAL)
~ THEN REPLY #27571 /* ~That sounds like a worthy tenet.~ */ GOTO 6
  IF ~~ THEN REPLY #27572 /* ~The church can be entered anytime, correct?~ */ GOTO 7
  IF ~~ THEN REPLY #27574 /* ~Excuse me, I'll be on my way.~ */ GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 2.3 0.3
  SAY #27575 /* ~As you wish, my <LADYLORD>.  I can only encourage beings to strive, I cannot command.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 4 // from: 0.4
  SAY #27576 /* ~As you wish.  The Temple of Lathander is open to all, and the Morninglord is most patient.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 5 // from: 2.0
  SAY #27577 /* ~You may think as you wish, my <LADYLORD>.  Lathander encourages optimism... by witnessing the glory of His worship you may realize the error of your ways.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 6 // from: 2.1
  SAY #27578 /* ~It most certainly is, supplicant.  Enter our most sacred temple, and bask in the glory of the God of Dawns... experience His benevolence for yourself.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 7 // from: 2.2
  SAY #27580 /* ~You certainly may.  It is most glorious in the early dawn, but the wealth and raiment of Lathander is a glory to behold at any hour.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 8 // from: 0.2
  SAY #27823 /* ~Several have gone missing... and some have returned, claiming to be converts to the religion of this 'Unseeing Eye'.  We will not force them to recant.~ */
  IF ~~ THEN EXIT
END
